Get a Tilt
curl --request GET \
--url https://x.invalid/api/v1/tilts/{tilt_uuid} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://x.invalid/api/v1/tilts/{tilt_uuid}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://x.invalid/api/v1/tilts/{tilt_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_group_sqid": "<string>",
"version_number": 123,
"name": "<string>",
"status": "draft",
"creation_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_type": "<string>",
"revision": "2023-11-07T05:31:56Z",
"universe_preset": "<string>",
"assignment_expression": "<string>",
"filter_expression": "<string>",
"score_expression": "<string>",
"weight_expression": "<string>",
"included_tickers": [
{
"tilt_asset_id": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>"
}
],
"excluded_tickers": [
{
"tilt_asset_id": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>"
}
],
"rules": {
"rebalancing_period": "MONTHLY",
"capping_methodology": "NONE",
"max_position_weight": "<string>",
"top_n_positions": 123,
"top_n_position_weight": "<string>",
"top_n_position_threshold": "<string>",
"max_constituents": 2
},
"snapshot": {
"effective_date": "2023-12-25"
},
"published_at": "2023-11-07T05:31:56Z",
"size_segment_base_date": "2023-12-25"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}API
Get a Tilt
Get a Tilt and its saved methodology.
Get a Tilt
Authorizations
Path Parameters
Response
The Tilt.
Address of this Tilt version.
Stable identifier shared by versions of this Tilt project.
Available options:
draft, published Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Existing frozen published-composition metadata; not the latest draft evaluation.
Show child attributes
Show child attributes